## 1.0.0rc3 (2023-05-31)

### Bug Fixes

- **ci**: [c40dc037](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/c40dc037b3b7e0e0be97e9421c7c0097c8c494fe) - website.lint paths updated [ [!13](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/13) ]

### Continious Integration

- **chore**: [aec1b98e](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/aec1b98e9a6f466d18981f84902964446ba50b88) - add nfc automation config [ [!12](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/12) ]

## 1.0.0rc2 (2023-05-29)

### Bug Fixes

- **cz**: [32ec703d](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/32ec703d720c3230728cd220fe76f0efacbc5c05) - remove 'v' suffix from tag [ [!10](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/10) [#10](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/10) ]
- **unit_test**: [b5268e18](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/b5268e18638499fa14c61066ab11e44ea346deb8) - ignore gitlab ide links for alive checks [ [!9](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/9) ]
- **ci**: [6ed8e5ba](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/6ed8e5bae3159ad9575f8c630bf34cf2f42214b1) - only deploy when assemble site success [ [!9](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/9) ]
- **assemble_site**: [46f8585c](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/46f8585cc3fa1ca8cbe60762bb8f476fcb31554a) - remove downloaded artifacts [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) ]
- **ci**: [90a22fcc](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/90a22fcc515383d1031fb6bba95327ba3d24e1c8) - url encode artifact path for assemble [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) ]
- **build**: [8cde3310](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/8cde331079e9701962879c0d78e60bcd05938543) - use correct gitlab-ci index page [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) [!26](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/26) ]
- **ci**: [b0fbe31c](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/b0fbe31cbe0d0a4057c3ebc53d1c25bcdbfe96d7) - typo in includes [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) ]
- [eb32851d](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/eb32851d32e7e4136c114616b15a11303ec78d81) - use relative path [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) ]
- [f1eb1a8c](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/f1eb1a8cba32d6378dd68d81e21e93e5ab740007) - set ssh user [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) ]
- [4b28e8aa](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/4b28e8aa64d2be6e62cf8b88bb48953a987e05bb) - typo [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) ]
- **artifacts**: [2551d764](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/2551d764d87b63248a46be1a68c4a4c193d03fe6) - fix fetching ops artifacts and allow publish [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) ]
- **ssh**: [f75cf83e](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/f75cf83e9a819694db54fd1f384fbaddaaadfd4c) - ssh key set to file var [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) ]
- **ci**: [ad671405](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/ad67140571f41eb2e01b3b7de44602401e8fc5ac) - fix pages job to run [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) ]
- **website-template**: [d0121f60](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/d0121f60bae36cb1bd685d9ed393dfef3fb1acac) - update module to fixed template commit [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) [!2](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/2) ]
- **vscode**: [0c3a878c](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/0c3a878cfa35bd43cd381e89b54785b95f40d1ee) - don't force mkdocs strict [ [!7](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/7) ]
- **mobile_display**: [3e1e8886](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/3e1e8886efd50d948d4b66434063c08d6b0228d3) - added padding between sections [ [!6](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/6) ]
- **article**: [d0719e35](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/d0719e356d4e56db8d2b4c6191484326c9701a03) - add required metadata. [ [!6](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/6) ]

### Code Refactor

- **assemble_site**: [5549fa8f](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/5549fa8f37f6c060dd26de446c8e56d460c71093) - use new job name [ [!11](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/11) [!34](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/34) ]
- **ci**: [546bc11a](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/546bc11ad23e410ccc2e073d3288d0c1f875cc2c) - use new build job name `Website.Build` [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) [!25](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/25) [!11](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/11) ]
- [2eef305f](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/2eef305f0e9ffe2ededb3e19c7ce5a99238103ed) - ad copy holder to article [ [!7](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/7) ]
- [c2fe3bb7](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/c2fe3bb7f051a67c47f555c6039d421761cdadd0) - clear up MD linting errors [ [!7](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/7) ]
- **blog_post**: [67b9379f](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/67b9379fe7eed288d00d8451678d338f2ad2a835) - renamed to article to reflect direction [ [!7](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/7) ]
- **home_page**: [8b50d28a](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/8b50d28aabdb1361036c137329695c29edf04f62) - added nfc logo [ [!7](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/7) ]
- **gitlab_templates**: [59999e09](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/59999e09e37450faee13387f0cc1154d8a9ee1c5) - changed to use correct path [ [!6](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/6) ]

### Continious Integration

- **automagic**: [7574bb4b](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/7574bb4b89fac79310fdfe21ef79e17af9dbf1f1) - use gitlab-ci project template [ [!11](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/11) [#30](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/30) [#11](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/11) ]
- [a290aa79](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/a290aa79ba0a0681182f05a21dda0344af50718d) - fix path
- [016f566d](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/016f566dbf2fb2474c31fc7edae3c6c8818d218f) - debugging [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) ]
- [29eee4b0](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/29eee4b0c481164c6522e943c1268964a4957a73) - fix scp command [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) ]
- **publish**: [b63e55db](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/b63e55db0ff81ec66b7fecade358e0430947a550) - fix path [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) ]
- [4ed51277](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/4ed51277a2f9bfdb2c3077e0afc9e72b06274964) - now???? [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) ]
- [84385dc3](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/84385dc3898d34ecb9e66f8bd5339d751f1b2901) - for fucks sake [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) ]
- [92fb084c](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/92fb084ca6cf2d4d87ea92df9a43f34ae3b80188) - fix file [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) ]
- **publish**: [37b15f90](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/37b15f90d2b8d67b75034c73a4c6a1ea015553c7) - fix ssh must be installed to deploy [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) ]
- [e36d1387](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/e36d1387b64d5c705a5f53cc351cfdfde43b669f) - removed cross-repo build see change notes [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) ]
- **gitlab-ci**: [a816041c](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/a816041cffc8f64deec087bfe354faf12cbc0260) - updated to latest dev [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) ]
- **public_website**: [47ae7aa9](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/47ae7aa9e1ace97ee0083229faaa5a509823ed49) - only enable manual publish on dev branch [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) ]
- **publish**: [53d5d3ff](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/53d5d3ff62e3dd70a450803c93087d6018fa835e) - add placeholder publish job [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) [#3](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/3) ]
- **pages**: [71d10e1d](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/71d10e1d79e2802c43de23f9a4b93db6c307b42f) - use the sub-pages repo for pages [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) [#3](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/3) ]
- **sub-repo-pages**: [272da7e7](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/272da7e77655eedadcd0d0737ddf20da2672d95d) - add placeholder sub-pages job [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) [#3](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/3) ]
- [f5b317bc](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/f5b317bcada125f696101b565fb94f39ce110185) - add prepare stage [ [#3](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/3) [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) ]
- **markdown_lint**: [228b5780](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/228b57804efcdcbbffca5cf99a8da2d5f02ba44f) - updated for mkdocs md files clarity. [ [!7](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/7) ]
- **gitlab-ci**: [927a97c9](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/927a97c9136aef1aa6f0524a473fea7171df409b) - updated to new commit for markdown lint to work [ [!7](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/7) ]

### Features

- **ci**: [bbf08468](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/bbf084686176451db843947fb818ae9e374dad50) - assemble job now does check for sub-site dependencies [ [!11](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/11) ]
- **ci**: [266eff37](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/266eff376668a2bf5f5fcf7926dcd7b38e476179) - use automagic gitlab-ci template [ [!10](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/10) [!33](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/33) [#11](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/11) ]
- **ci**: [a86b4bef](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/a86b4befcc7696a00575fe8303934b5c6cd4abf8) - enable publishing docker-mail docs [ [!9](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/9) [!10](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/10) [!27](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/27) ]
- **website**: [fe6b84cf](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/fe6b84cf28f845162714569749a2ef82b95647ea) - enable edit button [ [!9](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/9) ]
- **ci**: [fc74464e](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/fc74464ea852b9b71ceb9f11ec8cfc243d667d7c) - add resource groups to prevent dup jobs [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) ]
- **publish**: [1dffe52c](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/1dffe52c7a7ceb2930a7533108e44447f67ad2ae) - on publish website on success [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) ]
- **build**: [189e7cd6](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/189e7cd64557471d0609dd59c95edbf14771444c) - include project gitlab-ci docs [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) [!26](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/26) ]
- **requirements.txt**: [0ec5cdc9](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/0ec5cdc9a33b7083e51e172b3402a9808279aa19) - removed as part of template [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) [!26](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/26) [!7](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/7) ]
- **md_lint_config**: [e0de8665](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/e0de8665fe18003a504dd1ecc3e045ecc5844cd3) - moved to website-template repo [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) ]
- **publish**: [0c539a23](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/0c539a23c3dcd22bef702915aa70974dbf04eb0b) - clean remote dir first anduse correct source [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) ]
- **operations**: [20392be0](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/20392be05a30f4bc9496237c0a3f71689f433f8e) - Pull Operations website pages job artifacts. [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) [#41](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/41) ]
- **website_template**: [70f0facb](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/70f0facb118a9e54bcf20648f69c73469483cf56) - Added website template as submodule [ [!8](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/8) [!2](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/2) ]
- **mkdocs**: [054b38a4](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/054b38a4a7b62e54b582d50be64bfd25f467516b) - enabled tabbed content [ [!7](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/7) ]
- **wiki**: [765bae0e](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/765bae0e0750f46b7a82fd2ff57cd75571c188b6) - remove wiki as it wont be used. [ [!7](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/7) ]
- **article**: [3ef36f49](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/3ef36f49e82e1fcff6e49b25ac9dacc9f564a1ac) - added microdata to the article. [ [!7](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/7) ]
- **article**: [b9529fea](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/b9529feaba842ed76212b945730ac574ddcf60c8) - articles must have a type [ [!7](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/7) ]
- **markdown_lint**: [c19d097b](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/c19d097b28123692610bf29857cdf1f9c4170985) - allow html p in markdown [ [!7](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/7) ]
- **vscode**: [bbb63963](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/bbb639634b166b4f36a771c13bff430d38b6953b) - extension recommendations added. [ [!7](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/7) ]
- **article**: [466f6e86](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/466f6e8632c8392cae26f4ba0871c5fff4f2f0d6) - migrate mdt setup article [ [!6](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/6) ]
- **home_page**: [f14b17c3](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/f14b17c3b00dde626083bcb4c5bb84ab599fdff5) - created template for homepage [ [!6](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/6) ]
- **home_page**: [1a6fc5a8](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/1a6fc5a814c7dc1ceb8a13c5db806a23db53073d) - add metadata [ [!6](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/6) ]

## v1.0.0rc1 (2022-01-29)

### Bug Fixes

- **mkdocs-plugin-tags**: [ddc871ac](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/ddc871accabbbdafe28576265ee66755a5ffe17c) - ensure trailing '/' added to tag hyperlink [ [!5](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/5) ]
- **vscode**: [b4fdcb61](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/b4fdcb61834a6d9d1536b2a93aefd855fbe25006) - use correct params for tests [ [!4](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/4) ]
- **blog_metadata**: [a9237c59](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/a9237c59508979f673faa565f086ce0d2782e53d) - set the date to be in a format that is normal [ [!2](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/2) ]
- **mkdocs-plugin-tags**: [54b75f38](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/54b75f38b432050836f1f0f41eb6a9f9235ca88d) - fix markdown generation so it passes linting [ [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]
- **mkdocs-plugin-tags**: [10a81f0b](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/10a81f0bed073ef865e8c98013ae186d7c70a467) - ensure heading reference in a url is in lower case. [ [#3](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/3) [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]
- **mkdocs-plugin-tags**: [653c535b](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/653c535b2cfae1a54e45f27fd5c23950ddbe64ed) - the template not using the specified css class for the tag [ [#3](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/3) [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]
- **mkdocs-plugin-tags**: [7267f8f2](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/7267f8f2ad287fafcbae0fc88f3ceb7dadd19035) - Build a relative link for the url to the tag page [ [#3](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/3) ]

### Code Refactor

- [a6bcfa6b](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/a6bcfa6b3f877489891905adb120f3fa4228e7fd) - update article requirements
- **article**: [2e534c5d](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/2e534c5dd01b046f8fb520b9a2c607d432d2c309) - include meta.description [ [!5](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/5) ]
- **mkdocs.yml**: [f73011d2](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/f73011d29dbedd3617f37648c2a2fac5501a7a0d) - fix tabbing of plugin
- **privacy_test**: [94ced085](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/94ced08565dac3b26c23e66e9f61e929a8f07ddd) - rename test 'test_page_external_requests' -> 'test_page_load_external_requests' [ [!2](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/2) ]
- **syntax**: [d67a264e](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/d67a264ef010b3a182147d6e40407310e37fb099) - updated tags and added title metadata [ [!2](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/2) ]
- **choose_internet_service**: [98d0acf0](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/98d0acf0aca74c904236bc686f72e669009a8363) - removed extra tags and moved archive notice to bottom of page [ [!2](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/2) ]
- [72ed1cb4](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/72ed1cb4408fcddf202e819cf73c3ce9d9cb2169) - change hover for content tags to yellow text. [ [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]
- **navigation**: [93ceceb3](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/93ceceb3965f93ae4b0d0d3ffa86c0002927ee4b) - rename tags -> 'Content Tags' [ [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]
- **markdown_lint**: [f2969de7](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/f2969de739230bc8c5d44c15a65c61bfdfc74027) - correct linting errors [ [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]
- **mkdocs-plugin-tags**: [5dfeeb81](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/5dfeeb81b10a7e86c30b90dc360a06c3ad429adf) - rebranded plugin to be from nfc [ [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) [#3](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/3) ]
- [2a16ca06](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/2a16ca065c08759b31ee24f53d1e0ac67a406a9d) - md linting error, ul must be indent four spaces
- [449ec4a9](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/449ec4a9fc5d8421eea4cb79477d2124fc0a308c) - linting error. removed trailing empty line in choosing an internet service. [ [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]
- **article**: [c2d3a178](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/c2d3a178a5ab335bd769a19e9a88839f17021bca) - fixing lists in choosing an internet service [ [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]
- **markdown_lint**: [3a08f14d](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/3a08f14d74899d2f2200503db3ca1bd96ffa859f) - clean up linting errors. [ [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]

### Continious Integration

- [217f159c](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/217f159c5c6593c33f27f6c36f0b54735fe3703b) - amend to last commit
- **integration_test**: [88af5fed](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/88af5fedab608986855ae7f1a29ccadd7a53d0f0) - disable job until developed
- **unit_test**: [ec46764d](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/ec46764d72db8de1fc25f8cfb73f56107007932f) - copy report to right location
- **pytest**: [c6f44892](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/c6f44892e7300f9e33b79a12df66bea866bfcd86) - fix to collect junit report
- [a73362ab](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/a73362abe74f9498c200bb76ac4b744ddf762462) - command only required for unit test [ [!4](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/4) ]
- [c3f1ccc8](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/c3f1ccc8dd31c0bce3b3f709c54b3c39c1698b3c) - ensure placeholder test runs and passes [ [!4](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/4) ]
- **static_pages**: [8b041133](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/8b041133dce19647310b24a09161338029765a28) - dont run build if MD lint fails [ [!4](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/4) ]
- **tests**: [13b829d0](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/13b829d0b54d06540ea68b801e59139bedf176ea) - rijigged the job order [ [!4](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/4) ]
- **stages**: [c50e9a0a](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/c50e9a0a6ec438aa1211215202eb66363ef22de0) - deploy job to occur after build [ [!4](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/4) ]
- **unit_test**: [c4dd5b4a](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/c4dd5b4a24a383c84bb6759e3c482b8b11784859) - include requests in test pipfile [ [!4](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/4) [#7](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/7) ]
- **unit_test**: [f811a7ac](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/f811a7aceffbfdea77c4ff429d0edf386023f07f) - capture stdout in JUnit Report [ [!4](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/4) ]
- **unit_test**: [65726fda](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/65726fda02b7001c7b5315f787136a86d7549566) - ensure only unit test jobs run for the 'unit test' job. [ [!2](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/2) ]
- **pytest**: [7e99d55b](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/7e99d55bdab2263b224aa8297e43e5b156e2bc6b) - Added pytest job to run tests against build. [ [!2](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/2) ]
- **gitlab-ci**: [34ff1e34](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/34ff1e34df74437edf5dbb1a05c2ed41215da056) - use gitlab-ci markdown linting job [ [!2](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/2) ]
- **mkdocs**: [b7919633](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/b79196335d8d471ebffd071cc61276e964fd2482) - use gitlab-ci mkdocs job [ [!2](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/2) ]
- **gitlab-ci**: [95f20fee](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/95f20fee7391674730ff5bbe3e4decdfc57de350) - updated to v0.6.0 [ [!2](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/2) ]
- **markdown_lint**: [b0c91fa6](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/b0c91fa68bda0fac2c4492a6fb227d0970a8f1d0) - set unordered list indentation to four.
- **markdown_lint**: [893d3dfd](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/893d3dfd5c393131f69fddd7d5e80d3f025b48bb) - disable line length for markdown files [ [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]
- **pages**: [a02d2c3b](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/a02d2c3bb5fd0e933b42edce96b624ea355dcb69) - ensure the static site artifacts are available for gitlab pages [ [#3](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/3) [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]
- **build**: [696138c3](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/696138c317e0f898188b1ba9f0a3e287933f5249) - Added config to build and publish to gitlab pages [ [#3](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/3) [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]

### Features

- **merge_requests**: [ce3a2c2e](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/ce3a2c2e1e434d4910979fee482d071cc050c2b4) - added article MR template [ [!5](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/5) ]
- **vscode**: [cc7a4116](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/cc7a411613c02649fac2e5519079a1cc1b109677) - fix junit path to use workspace folder [ [!5](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/5) ]
- **blog_list**: [286caa16](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/286caa1696692216a09d4fe9dbfc3d4126c7dfd7) - layout not to include post content [ [!5](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/5) ]
- **blog_post**: [08bdf09d](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/08bdf09d30d7f8bbd1f6728d46835d0401f490c0) - remove meta.description from page [ [!5](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/5) ]
- **theme**: [7bd7abd0](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/7bd7abd0e40e56ccb2321a21dd974e8a5ef3de61) - removed post content from 'blog_list' [ [!5](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/5) ]
- **sitemap**: [006a36ac](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/006a36ac0cee8450ce0523add551081b87a235c2) - git_revision_date for page change [ [!4](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/4) ]
- **vscode**: [247f85c3](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/247f85c319e7456e5cb256b1e4fc15bff743424d) - added pytest settings [ [!4](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/4) ]
- **vscode**: [40a92b97](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/40a92b975fc706fdef584d40212d5403646f012a) - added build task [ [!4](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/4) ]
- **minify**: [8292b0a6](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/8292b0a6cfdfd8812a55775809947a0f4fc9501a) - disable minifying website until site ready to deploy [ [!2](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/2) ]
- **minify**: [e4999a44](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/e4999a446267c134d24bae252e363797fb188c95) - minify the mkdocs static html build files
- **mkdocs**: [0e65f046](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/0e65f0465b47f2d58774c44e028b6d6395f7a69c) - minify plugin added to pipfile for usage with build
- **emoji**: [0c7c36d7](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/0c7c36d7e1fd46925a805ad3a98fb682614d510f) - removed emoji support until a solution can be found to self-host. [ [!2](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/2) ]
- **blog_post**: [452fbe12](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/452fbe1225d8f0d22f3976b2c90aef9217a2ecd2) - change location of updated date to be in the social metadata. [ [!2](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/2) ]
- **gitlab**: [0e09b249](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/0e09b249dc72292b36e45449aaaf264a41e74140) - added  a default issue templete for reporting issues with the website. [ [!2](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/2) [#5](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/5) ]
- **blog_list**: [5d75c663](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/5d75c663a1c8472462d53a7bf758a91914ecfbfe) - change articles page to be a preview list of articles. [ [!2](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/2) ]
- **blog_post**: [61f3331d](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/61f3331db0602241b8a4b68952f38707e2b1043a) - include git revision date plugin
- **blog**: [9d9f9c73](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/9d9f9c73c8261cb6a4529acb7c59f4085fd2df27) - added blog capability to posts [ [#3](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/3) [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]
- **markdownlint**: [d6524ac9](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/d6524ac9cf2e305218ec5d3862b85d12b341ba48) - specifiy the allowed inline html elements [ [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]
- **mkdocs**: [1a1b7776](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/1a1b77769d7f924fc018fb303e6f656826c578a1) - use custom plugin from custom-plugins/mkdocs-plugin-tags [ [#3](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/3) [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]
- **plugin**: [f77b36a1](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/f77b36a138809b50389dce016557497fbaaf5adb) - cloned plugin tags repo so it can be customized and used [ [#3](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/3) ]
- **mkdocs**: [830371c6](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/830371c691e283418e373da881f13727ef63ec17) - add lists and task lists to markdown [ [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]
- **sitemap**: [59c2593c](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/59c2593c68fbc3f5b5d9e553e328586ce0811859) - remove sitemap as the changed dates for files is wrong. [ [#3](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/3) [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]
- **operations**: [c6de8bc9](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/c6de8bc9600a9c740660b8523f2efdd33a879b9e) - Added markdown syntax page. [ [#3](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/3) [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]
- **article**: [6667f4f0](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/6667f4f0761dcba22a1825c9514963931618140e) - migrated choosing an internet service from old wiki [ [#3](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/3) [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]
- **contact**: [268e076e](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/268e076e9a04fb071490f4d532aa3cdb53c4ee06) - updated the page content to include how to fix an issue with a page. [ [#3](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/3) [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]
- **markdown**: [47bfd4e5](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/47bfd4e5cc9c19da8c82e37eb7513f1b75d68f45) - added ability to colour by brand name. [ [#3](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/3) [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]
- **markdown**: [f6d6bd62](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/f6d6bd627b755cafe9e45f9edd17f7436a323b4a) - Support admonations in markdown. [ [#3](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/3) [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]
- **footer**: [c0aa5cbe](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/c0aa5cbe12f92cea496a902f68ce4f7114f36d1a) - Add colour to the social icons within the page footer [ [#3](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/3) [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]
- **mkdocs**: [2460b4c7](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/2460b4c70cf3a7ccf11da60c8b356fad2fad352d) - add document creation and last edited date. [ [#3](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/3) [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]
- **mkdocs**: [8fbb9d95](https://gitlab.com/nofusscomputing/infrastructure/website/-/commit/8fbb9d95ac452b550c65cff32a88f7b6c23437d3) - Add the default config and the site layout directory [ [#3](https://gitlab.com/nofusscomputing/infrastructure/website/-/issues/3) [!1](https://gitlab.com/nofusscomputing/infrastructure/website/-/merge_requests/1) ]

## v1.0.0rc0 (2022-01-29)
